Package org.gradle.api.configuration

# Interface BuildFeatures

@ServiceScope(org.gradle.internal.service.scopes.Scope.BuildTree.class) public interface BuildFeatures
Provides information about various build features supported by Gradle, and their state in the current build.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

Since:
  8.5
See Also:
  - `BuildFeature`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildFeature`
  `getConfigurationCache()`
  Status of the Configuration Cache feature configuration in the build.
  `BuildFeature`
  `getIsolatedProjects()`
  Status of the Isolated Projects feature in the build.

- ## Method Details

  - ### getConfigurationCache

    BuildFeature getConfigurationCache()
    Status of the Configuration Cache feature configuration in the build.

    Note that the status only describes the status of the feature. It does not provide information on whether there was a cache hit or a miss.

    Since:
      8.5

  - ### getIsolatedProjects

    BuildFeature getIsolatedProjects()
    Status of the Isolated Projects feature in the build.
    Since:
      8.5